ServerEvents.recipes((event) => {
  // =========================================
  // easy villager
  // =========================================

  // easy_piglins barterer
  event.recipes.create
    .mechanical_crafting("easy_piglins:barterer", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:red_nether_bricks",
      C: "minecraft:iron_block",
      D: "minecraft:gold_block"
    
    })
    .id("easy_piglins:barterer");

 // easy_villagers trader
  event.recipes.create
    .mechanical_crafting("easy_villagers:trader", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:iron_block",
      C: "minecraft:iron_ingot",
      D: "minecraft:redstone_block"
    
    })
    .id("easy_villagers:trader");

// easy_villagers auto_trader
  event.recipes.create
    .mechanical_crafting("easy_villagers:auto_trader", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:netherite_ingot",
      C: "minecraft:iron_ingot",
      D: "minecraft:redstone_block"
    
    })
    .id("easy_villagers:auto_trader");



// easy_villagers farmer
  event.recipes.create
    .mechanical_crafting("easy_villagers:farmer", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:iron_block",
      C: "minecraft:dirt",
      D: "minecraft:water_bucket"
    
    })
    .id("easy_villagers:farmer");

// easy_villagers breeder
  event.recipes.create
    .mechanical_crafting("easy_villagers:breeder", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:iron_block",
      C: "#minecraft:logs",
      D: "#minecraft:beds"
    
    })
    .id("easy_villagers:breeder");

// easy_villagers converter
  event.recipes.create
    .mechanical_crafting("easy_villagers:converter", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:netherite_scrap",
      C: "minecraft:glowstone",
      D: "minecraft:rotten_flesh"
    
    })
    .id("easy_villagers:converter");


// easy_villagers iron_farm
  event.recipes.create
    .mechanical_crafting("easy_villagers:iron_farm", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:iron_block",
      C: "minecraft:smooth_stone",
      D: "minecraft:lava_bucket"
    
    })
    .id("easy_villagers:iron_farm");

// easy_villagers incubator
  event.recipes.create
    .mechanical_crafting("easy_villagers:incubator", [
     
      "AAAA", 
      "A  A", 
      "ADDA", 
      "BCCB"
    ],
    {
      A: "#forge:glass_panes",
      B: "minecraft:netherite_scrap",
      C: "#minecraft:wool",
      D: "easy_villagers:villager"
    
    })
    .id("easy_villagers:incubator");

});


 